{
    "name": "tibi-svelte-starter",
    "version": "1.0.0",
    "main": "src/index.js",
    "author": "Sebastian Frank (Webmakers GmbH)",
    "private": true,
    "license": "MIT",
    "scripts": {
        "validate": "svelte-check && tsc --noEmit",
        "start": "NAMESPACE=__NAMESPACE__ node scripts/esbuild-wrapper.js start",
        "start:remoteapi": "API_BASE=https://login.tibicms.de/api/v1/_/__NAMESPACE__ node scripts/esbuild-wrapper.js start",
        "dev": "node scripts/esbuild-wrapper.js watch",
        "build": "node scripts/esbuild-wrapper.js build",
        "build:legacy": "node scripts/esbuild-wrapper.js build esbuild.config.legacy.js && babel _temp/index.js -o _temp/index.babeled.js && esbuild _temp/index.babeled.js --outfile=dist/_dist_/index.es5.js --target=es5 --bundle --minify --sourcemap",
        "build:server": "node scripts/esbuild-wrapper.js build esbuild.config.server.js && babel _temp/app.server.js -o _temp/app.server.babeled.js && esbuild _temp/app.server.babeled.js --outfile=api/hooks/lib/app.server.js --target=es5 --bundle --sourcemap --platform=node",
        "build:test": "node scripts/esbuild-wrapper.js build esbuild.config.test.js && babel --config-file ./babel.config.test.json _temp/hook.test.js -o _temp/hook.test.babeled.js && esbuild _temp/hook.test.babeled.js --outfile=api/hooks/lib/hook.test.js --target=es5 --bundle --sourcemap --platform=node",
        "build:instanbul": "node scripts/esbuild-wrapper.js build esbuild.config.cypress.js && babel dist/_dist_/index.mjs -o dist/_dist_/index.mjs --config-file ./babel.config.cypress.json",
        "cy:run": "cypress run",
        "cy:open": "cypress open",
        "cy:docker:run": "CURRENT_UID=$(id -u):$(id -g) CY_COMMAND=run docker-compose -f docker-compose.cypress.yml up --exit-code-from=cypress",
        "cy:docker:open": "CURRENT_UID=$(id -u):$(id -g) CY_COMMAND=open docker-compose -f docker-compose.cypress.yml up --exit-code-from=cypress"
    },
    "devDependencies": {
        "@babel/cli": "^7.17.6",
        "@babel/core": "^7.17.9",
        "@babel/plugin-transform-spread": "^7.16.7",
        "@babel/preset-env": "^7.16.11",
        "@tsconfig/svelte": "^3.0.0",
        "browser-sync": "^2.27.9",
        "chokidar": "^3.5.3",
        "connect-history-api-fallback": "^1.6.0",
        "copy-dir": "^1.3.0",
        "esbuild": "^0.14.38",
        "esbuild-svelte": "^0.7.0",
        "http-proxy-middleware": "^2.0.6",
        "less": "^4.1.2",
        "morgan": "^1.10.0",
        "postcss": "^8.4.12",
        "prettier": "^2.6.2",
        "prettier-plugin-svelte": "^2.7.0",
        "svelte": "^3.47.0",
        "svelte-check": "^2.7.0",
        "svelte-preprocess": "^4.10.6",
        "svelte-preprocess-esbuild": "^2.0.0",
        "svelte-routing": "^1.6.0",
        "svelte-scrollto": "^0.2.0",
        "tibi-types": "https://gitbase.de/cms/tibi-types.git#commit=099ae2fb37c7be4d40f17861e286411b4621bf8e",
        "tslib": "^2.4.0",
        "typescript": "^4.6.3"
    },
    "dependencies": {
        "@mdi/js": "^6.7.96",
        "@sentry/browser": "^6.19.6",
        "@sentry/tracing": "^6.19.6",
        "core-js": "3.22.2",
        "mdi-svelte": "^1.1.2",
        "svelte-i18n": "^3.4.0"
    },
    "optionalDependencies": {
        "@cypress/code-coverage": "^3.9.12",
        "axios": "^0.27.1",
        "babel-plugin-istanbul": "^6.1.1",
        "cypress": "^9.6.0",
        "cypress-terminal-report": "^3.5.2",
        "live-server": "^1.2.1",
        "mongodb": "^4.5.0"
    },
    "packageManager": "yarn@3.2.0"
}
